Update settings
PATCH
/settingsCosts 2 rate-limit points · Rate limits
Update one or more store invoicing settings.
Request body
settingsobjectRequiredAll fields are optional: only include fields you want to update.
Show 38 child attributesHide child attributes
business_namestringExample:Doe StudioemailstringExample:billing@example.comphone_numberstringExample:+1 555 010 0199address1stringExample:12 Example Streetaddress2stringExample:Suite 4address3stringExample:Springfield, IL 62701address4stringExample:United Statestax_idstringExample:US-12-3456789tax_id_titlestringExample:EINtax_office_namestringinvoice_titlestringExample:Invoicedraft_invoice_titlestringExample:Quotecredit_note_titlestringExample:Credit notepacking_slip_titlestringExample:Packing slipinvoice_number_prefixstringExample:INV-next_invoice_numberstringExample:1043invoice_from_emailstringExample:billing@example.cominvoice_bcc_emailstringExample:accounts@example.cominvoice_bccbooleanExample:truecustomer_cc_email_metafieldstringShopify customer metafield, as namespace.key, holding an extra address to CC every invoice to (e.g. custom.invoice_email). Empty disables it.
localestringExample:endatetime_formatstringExample:%d %b %Yautomatic_invoicingbooleanExample:trueautomatic_invoicing_with_payment_linkbooleanExample:falsefinancial_statusstringExample:paidfulfillment_statusstringExample:anydefault_due_daysintegerExample:30footer_messagestringExample:Thank you for your business.facebook_urlstringinstagram_urlstringExample:https://instagram.com/doestudiotwitter_urlstringuse_custom_emailbooleanExample:falseemail_subject_templatestringExample:Your invoice {{invoice_number}}email_body_templatestringExample:Hi {{customer_name}}, your invoice is attached.enable_payment_remindersbooleanExample:truepayment_reminder_intervalintegerExample:3payment_reminder_whenstringExample:afterOne ofbeforeaftercustomer_locale_invoicebooleanExample:false
Returns
settingsobjectShow 40 child attributesHide child attributes
business_namestringExample:Doe StudioemailstringExample:billing@example.comphone_numberstringExample:+1 555 010 0199address1stringExample:12 Example Streetaddress2stringExample:Suite 4address3stringExample:Springfield, IL 62701address4stringExample:United Statestax_idstringExample:US-12-3456789tax_id_titlestringExample:EINtax_office_namestringinvoice_titlestringExample:Invoicedraft_invoice_titlestringExample:Quotecredit_note_titlestringExample:Credit notepacking_slip_titlestringExample:Packing slipinvoice_number_prefixstringExample:INV-next_invoice_numberstringExample:1043invoice_from_emailstringExample:billing@example.cominvoice_bcc_emailstringExample:accounts@example.cominvoice_bccbooleanExample:truecustomer_cc_email_metafieldstringShopify customer metafield, as namespace.key, holding an extra address to CC every invoice to (e.g. custom.invoice_email). Empty disables it.
localestringExample:enemail_localestringExample:endatetime_formatstringExample:%d %b %Yautomatic_invoicingbooleanExample:trueautomatic_invoicing_with_payment_linkbooleanExample:falsefinancial_statusstringExample:paidfulfillment_statusstringExample:anydefault_due_daysintegerExample:30footer_messagestringExample:Thank you for your business.facebook_urlstringinstagram_urlstringExample:https://instagram.com/doestudiotwitter_urlstringuse_custom_emailbooleanExample:falseemail_subject_templatestringExample:Your invoice {{invoice_number}}email_body_templatestringExample:Hi {{customer_name}}, your invoice is attached.email_dkim_verifiedbooleanExample:falseenable_payment_remindersbooleanExample:truepayment_reminder_intervalintegerExample:3payment_reminder_whenstringExample:afterOne ofbeforeaftercustomer_locale_invoicebooleanExample:false
Errors
401
Missing or invalid API key.
403
The store is not on a paid plan. API access requires a paid Invoice Falcon plan.
422
Request could not be processed.
429
Rate limit exceeded. Check X-RateLimit-Reset header.
PATCH/settings
curl -X PATCH "https://app.invoicefalcon.com/api/v1/external/settings" \
-H "X-Auth-Token: $INVOICE_FALCON_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"settings": {
"business_name": "Doe Studio",
"email": "billing@example.com",
"phone_number": "+1 555 010 0199",
"address1": "12 Example Street",
"address2": "Suite 4",
"address3": "Springfield, IL 62701",
"address4": "United States",
"tax_id": "US-12-3456789",
"tax_id_title": "EIN",
"tax_office_name": "",
"invoice_title": "Invoice",
"draft_invoice_title": "Quote",
"credit_note_title": "Credit note",
"packing_slip_title": "Packing slip",
"invoice_number_prefix": "INV-",
"next_invoice_number": "1043",
"invoice_from_email": "billing@example.com",
"invoice_bcc_email": "accounts@example.com",
"customer_cc_email_metafield": "custom.invoice_email",
"invoice_bcc": true,
"locale": "en",
"email_locale": "en",
"datetime_format": "%d %b %Y",
"automatic_invoicing": true,
"automatic_invoicing_with_payment_link": false,
"financial_status": "paid",
"fulfillment_status": "any",
"default_due_days": 30,
"footer_message": "Thank you for your business.",
"facebook_url": "",
"instagram_url": "https://instagram.com/doestudio",
"twitter_url": "",
"use_custom_email": false,
"email_subject_template": "Your invoice {{invoice_number}}",
"email_body_template": "Hi {{customer_name}}, your invoice is attached.",
"email_dkim_verified": false,
"enable_payment_reminders": true,
"payment_reminder_interval": 3,
"payment_reminder_when": "after",
"customer_locale_invoice": false
}
}'const res = await fetch("https://app.invoicefalcon.com/api/v1/external/settings", {
method: "PATCH",
headers: {
"X-Auth-Token": process.env.INVOICE_FALCON_API_KEY,
"Content-Type": "application/json",
},
body: JSON.stringify({
"settings": {
"business_name": "Doe Studio",
"email": "billing@example.com",
"phone_number": "+1 555 010 0199",
"address1": "12 Example Street",
"address2": "Suite 4",
"address3": "Springfield, IL 62701",
"address4": "United States",
"tax_id": "US-12-3456789",
"tax_id_title": "EIN",
"tax_office_name": "",
"invoice_title": "Invoice",
"draft_invoice_title": "Quote",
"credit_note_title": "Credit note",
"packing_slip_title": "Packing slip",
"invoice_number_prefix": "INV-",
"next_invoice_number": "1043",
"invoice_from_email": "billing@example.com",
"invoice_bcc_email": "accounts@example.com",
"customer_cc_email_metafield": "custom.invoice_email",
"invoice_bcc": true,
"locale": "en",
"email_locale": "en",
"datetime_format": "%d %b %Y",
"automatic_invoicing": true,
"automatic_invoicing_with_payment_link": false,
"financial_status": "paid",
"fulfillment_status": "any",
"default_due_days": 30,
"footer_message": "Thank you for your business.",
"facebook_url": "",
"instagram_url": "https://instagram.com/doestudio",
"twitter_url": "",
"use_custom_email": false,
"email_subject_template": "Your invoice {{invoice_number}}",
"email_body_template": "Hi {{customer_name}}, your invoice is attached.",
"email_dkim_verified": false,
"enable_payment_reminders": true,
"payment_reminder_interval": 3,
"payment_reminder_when": "after",
"customer_locale_invoice": false
}
}),
});
const data = await res.json();import os
import requests
res = requests.patch(
"https://app.invoicefalcon.com/api/v1/external/settings",
headers={"X-Auth-Token": os.environ["INVOICE_FALCON_API_KEY"]},
json={
"settings": {
"business_name": "Doe Studio",
"email": "billing@example.com",
"phone_number": "+1 555 010 0199",
"address1": "12 Example Street",
"address2": "Suite 4",
"address3": "Springfield, IL 62701",
"address4": "United States",
"tax_id": "US-12-3456789",
"tax_id_title": "EIN",
"tax_office_name": "",
"invoice_title": "Invoice",
"draft_invoice_title": "Quote",
"credit_note_title": "Credit note",
"packing_slip_title": "Packing slip",
"invoice_number_prefix": "INV-",
"next_invoice_number": "1043",
"invoice_from_email": "billing@example.com",
"invoice_bcc_email": "accounts@example.com",
"customer_cc_email_metafield": "custom.invoice_email",
"invoice_bcc": True,
"locale": "en",
"email_locale": "en",
"datetime_format": "%d %b %Y",
"automatic_invoicing": True,
"automatic_invoicing_with_payment_link": False,
"financial_status": "paid",
"fulfillment_status": "any",
"default_due_days": 30,
"footer_message": "Thank you for your business.",
"facebook_url": "",
"instagram_url": "https://instagram.com/doestudio",
"twitter_url": "",
"use_custom_email": False,
"email_subject_template": "Your invoice {{invoice_number}}",
"email_body_template": "Hi {{customer_name}}, your invoice is attached.",
"email_dkim_verified": False,
"enable_payment_reminders": True,
"payment_reminder_interval": 3,
"payment_reminder_when": "after",
"customer_locale_invoice": False
}
},
)
data = res.json()require "net/http"
require "json"
uri = URI("https://app.invoicefalcon.com/api/v1/external/settings")
req = Net::HTTP::Patch.new(uri, "X-Auth-Token" => ENV["INVOICE_FALCON_API_KEY"], "Content-Type" => "application/json")
req.body = {
settings: {
business_name: "Doe Studio",
email: "billing@example.com",
phone_number: "+1 555 010 0199",
address1: "12 Example Street",
address2: "Suite 4",
address3: "Springfield, IL 62701",
address4: "United States",
tax_id: "US-12-3456789",
tax_id_title: "EIN",
tax_office_name: "",
invoice_title: "Invoice",
draft_invoice_title: "Quote",
credit_note_title: "Credit note",
packing_slip_title: "Packing slip",
invoice_number_prefix: "INV-",
next_invoice_number: "1043",
invoice_from_email: "billing@example.com",
invoice_bcc_email: "accounts@example.com",
customer_cc_email_metafield: "custom.invoice_email",
invoice_bcc: true,
locale: "en",
email_locale: "en",
datetime_format: "%d %b %Y",
automatic_invoicing: true,
automatic_invoicing_with_payment_link: false,
financial_status: "paid",
fulfillment_status: "any",
default_due_days: 30,
footer_message: "Thank you for your business.",
facebook_url: "",
instagram_url: "https://instagram.com/doestudio",
twitter_url: "",
use_custom_email: false,
email_subject_template: "Your invoice {{invoice_number}}",
email_body_template: "Hi {{customer_name}}, your invoice is attached.",
email_dkim_verified: false,
enable_payment_reminders: true,
payment_reminder_interval: 3,
payment_reminder_when: "after",
customer_locale_invoice: false
}
}.to_json
res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |http| http.request(req) }
data = JSON.parse(res.body)Response
{
"settings": {
"business_name": "Doe Studio",
"email": "billing@example.com",
"phone_number": "+1 555 010 0199",
"address1": "12 Example Street",
"address2": "Suite 4",
"address3": "Springfield, IL 62701",
"address4": "United States",
"tax_id": "US-12-3456789",
"tax_id_title": "EIN",
"tax_office_name": "",
"invoice_title": "Invoice",
"draft_invoice_title": "Quote",
"credit_note_title": "Credit note",
"packing_slip_title": "Packing slip",
"invoice_number_prefix": "INV-",
"next_invoice_number": "1043",
"invoice_from_email": "billing@example.com",
"invoice_bcc_email": "accounts@example.com",
"customer_cc_email_metafield": "custom.invoice_email",
"invoice_bcc": true,
"locale": "en",
"email_locale": "en",
"datetime_format": "%d %b %Y",
"automatic_invoicing": true,
"automatic_invoicing_with_payment_link": false,
"financial_status": "paid",
"fulfillment_status": "any",
"default_due_days": 30,
"footer_message": "Thank you for your business.",
"facebook_url": "",
"instagram_url": "https://instagram.com/doestudio",
"twitter_url": "",
"use_custom_email": false,
"email_subject_template": "Your invoice {{invoice_number}}",
"email_body_template": "Hi {{customer_name}}, your invoice is attached.",
"email_dkim_verified": false,
"enable_payment_reminders": true,
"payment_reminder_interval": 3,
"payment_reminder_when": "after",
"customer_locale_invoice": false
}
}{
"error": "Invalid API key"
}{
"error": "REST API access requires a paid plan"
}{
"error": "param is missing or the value is empty: customer",
"errors": {}
}{
"error": "Rate limit exceeded",
"retry_after": 30,
"message": "You have exceeded the rate limit of 40 points per 60 seconds. Read requests cost 1 point(s) and write requests cost 2 point(s). Please retry after 30 second(s)."
}